package com.bytedance.android.livesdkapi.depend.model.live;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.Map;

public final class RoomShortTouchAreaConfig {
    @c(LIZ = "elements")
    public Map<Integer, Element> LIZ;

    static {
        Covode.recordClassIndex(22241);
    }

    public static final class Element {
        public static final Integer LIZ = 0;
        public static final Integer LIZIZ = 0;
        @c(LIZ = "type")
        public Integer LIZJ;
        @c(LIZ = "priority")
        public Integer LIZLLL;

        static {
            Covode.recordClassIndex(22242);
        }

        public final String toString() {
            StringBuilder sb = new StringBuilder();
            if (this.LIZJ != null) {
                sb.append(", type=");
                sb.append(this.LIZJ);
            }
            if (this.LIZLLL != null) {
                sb.append(", priority=");
                sb.append(this.LIZLLL);
            }
            sb.replace(0, 2, "Element{");
            sb.append('}');
            return sb.toString();
        }
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (!this.LIZ.isEmpty()) {
            sb.append(", elements=");
            sb.append(this.LIZ);
        }
        sb.replace(0, 2, "RoomShortTouchAreaConfig{");
        sb.append('}');
        return sb.toString();
    }
}
